[tox]
envlist=benchmark,test,examples,doc

[testenv:benchmark]
deps=
	py
	pytest
commands=
	python tests/test_parser.py

[testenv:examples]
deps=
    sphinx
changedir=examples
whitelist_externals=doxygen
commands=
    doxygen Doxyfile
    sphinx-build -W -b html . {envtmpdir}/examples/_build

[testenv:test]
deps= -r{toxinidir}/test-requirements.txt
commands=
    pytest

[testenv:doc]
deps=
    sphinx
commands=
    sphinx-build -W -b linkcheck -d {envtmpdir}/doctrees doc {envtmpdir}/linkcheck
    sphinx-build -W -b html -d {envtmpdir}/doctrees doc {envtmpdir}/html
